Bug 54585 - UI_LANGS has no effect on update
Summary: UI_LANGS has no effect on update
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Win-Installer-MAB Installer-Windows
  Show dependency treegraph
 
Reported: 2012-09-06 08:56 UTC by Andras Timar
Modified: 2020-10-16 04:27 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-09-06 08:56:48 UTC
Follow-up from bug 50509.

UI_LANGS works fine if there is no LO installation present on a computer. But,
if there is an installation already, UI_LANGS doesn't change UI languages. This
is a problem because if we have an installation that has all UI languages and
want just to remove them, we can't do it by reinstallation. Dictionaries on the
other hand can be modified.
Can you please comment or change this behavior? 

PS. If it doesn't seems probable, that's what happened to us. Software
management installed LO 3.6.0 as an upgrade to our 3.5.4, with all UI languages
which made LO very slow. It was not on the list of managed programs at all, but
how it happened is a different issue. New installation of LO 3.6.1 over that
couldn't solve the problem.
Comment 1 Timur 2012-09-06 11:50:15 UTC
Using IS<lcid> properties, it's also not possible to change UI languages with LO 356.
Comment 2 Timur 2013-02-26 09:20:43 UTC
There is a workaround: just use REMOVE and than list all unneeded UIs (although it's somewhat cumbersome).
Andras, this is still UNCONFIRMED. Can you please set to NEW?
Comment 3 retired 2014-08-11 08:39:03 UTC
This is very old. Just a ping if there is any news / improvement already?

Does 4.3.0.4 change anything for the better? Setting to NEEDINFO. Please back to NEW after the bug has been updated.
Comment 4 QA Administrators 2015-04-01 14:47:23 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2015-05-06 14:21:44 UTC Comment hidden (obsolete)
Comment 6 V Stuart Foote 2017-10-15 03:17:14 UTC
Closed in error, still an issue.
Comment 7 QA Administrators 2018-10-16 02:50:49 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2020-10-16 04:27:02 UTC
Dear Andras Timar,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug